body {
 background-color: white;
}

#map {
  width: 100%;
  height: 100vh;
  position: absolute;
}

.button-top-container {
    position: fixed;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    display: flex;
    padding: 5px;
    background-color: purple; 
}

.button-bottom-container {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
    display: flex;
    padding: 5px;
    background-color: purple;
}

.button-left-container {
    position: fixed;
    top: 75px;
    left: 0;
    z-index: 1000;
    display: none; 
    flex-direction: column;
    padding: 5px;
    background-color: purple;
//    opacity: 0.5;
}

.button-right-container {
    position: fixed;
    top: 75px;
    right: 0;
    z-index: 1000;
    display: none; 
    flex-direction: column;
    padding: 5px;
    background-color: purple;
    opacity: 0.75;
    pointer-events: none;
}

.button {
    color: black;
    white-space: nowrap;
}

.buttongreen {
    background-color: #90EE90;	
}

.buttonblue {
    background-color: #ADD8E6;	
}

.buttonred {
    background-color: #FF7F7F;	
}

.buttongrey {
    background-color: #D3D3D3;
}

.gpscoordinate {
    font-size: 2.5em;
    font-weigt: bold;
}

[id^="PopupBackground-"] {
      display: none;
      position: fixed;
      top: 0;
      left: 0;
      width: 100vw;
      height: 100vh;
      z-index: 9990;
      align-items: center;
      justify-content: center;
}

[id^="PopupBox-"] {
      position: fixed;
      top: 100px; 
      left: 50%;
      transform: translateX(-50%);
      background: #fff;
      opacity: 0.9;
      padding: 5px;
      border: 2px solid purple; 
      border-radius: 4px;
      width: 300px;
      box-shadow: 0 2px 10px rgba(0,0,0,0.2);
      text-align: center;
      z-index: 9995;
}

[id^="PopupBox-"] p {
      margin-bottom: 20px;
      font-size: 16px;
}

[id^="PopupBox-"] button {
      padding: 20px 20px;
      margin: 0 10px;
      font-size: 14px;
      cursor: pointer;
      border: 2px solid purple; 
      border-radius: 4px;
}

[id^="PopupBoxGreenButton-"] {
      background-color: #90EE90;
      color: black;
}

[id^="PopupBoxRedButton-"] {
      background-color: #FF7F7F;
      color: black;
}
